---
title: Create Custom Voice Phrase Content (deprecated)
description: Use the POST {{apiPath}}/v1/environments/{{envID}}/voicePhrases/{{voicePhraseID}}/contents request to create contents for a custom verify voice phrase in the environment.
component: pingone-api
page_id: pingone-api:verify:verify-voice-phrases/create-custom-voice-phrase-content
canonical_url: https://developer.pingidentity.com/pingone-api/verify/verify-voice-phrases/create-custom-voice-phrase-content.html
section_ids:
  prerequisites: Prerequisites
  headers: Headers
  body: Body
  example-request: Example Request
  example-response: Example Response
---

# Create Custom Voice Phrase Content (deprecated)

##

```none
POST {{apiPath}}/v1/environments/{{envID}}/voicePhrases/{{voicePhraseID}}/contents
```

Use the `POST {{apiPath}}/v1/environments/{{envID}}/voicePhrases/{{voicePhraseID}}/contents` request to create contents for a custom verify voice phrase in the environment.

|   |                                                                            |
| - | -------------------------------------------------------------------------- |
|   | Voice verification is deprecated and will be removed on November 25, 2026. |

> **Collapse: Request Model**
>
> | Property  | Type   | Required? |
> | --------- | ------ | --------- |
> | `locale`  | String | Required  |
> | `content` | String | Required  |

For the locale property value, PingOne supports language tags with quality values as described in [Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content](https://httpwg.org/specs/rfc7231.html#header.accept-language). The content property value is the phrase users must speak as part of voice enrollment or verification. Users are shown the value of this content property during enrollment or verification. Therefore, the phrase must be written in the language (and in the character set required by that language, if needed) specified in the locale property.

### Prerequisites

This request creates localized content for the named container for voice phrases created with [Create Custom Voice Phrase (deprecated)](create-custom-voice-phrase.html).

### Headers

Authorization      Bearer {{accessToken}}

Content-Type      application/json

### Body

raw ( application/json )

```json
{
    "locale": "en",
    "content": "Design brilliant journeys to any digital destination"
}
```

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff '{{apiPath}}/v1/environments/{{envID}}/voicePhrases/{{voicePhraseID}}/contents' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{accessToken}}' \
--data '{
    "locale": "en",
    "content": "Design brilliant journeys to any digital destination"
}'
```

```csharp
var options = new RestClientOptions("{{apiPath}}/v1/environments/{{envID}}/voicePhrases/{{voicePhraseID}}/contents")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Post);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Authorization", "Bearer {{accessToken}}");
var body = @"{" + "\n" +
@"    ""locale"": ""en""," + "\n" +
@"    ""content"": ""Design brilliant journeys to any digital destination""" + "\n" +
@"}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/v1/environments/{{envID}}/voicePhrases/{{voicePhraseID}}/contents"
  method := "POST"

  payload := strings.NewReader(`{
    "locale": "en",
    "content": "Design brilliant journeys to any digital destination"
}`)

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Content-Type", "application/json")
  req.Header.Add("Authorization", "Bearer {{accessToken}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
POST /v1/environments/{{envID}}/voicePhrases/{{voicePhraseID}}/contents HTTP/1.1
Host: {{apiPath}}
Content-Type: application/json
Authorization: Bearer {{accessToken}}

{
    "locale": "en",
    "content": "Design brilliant journeys to any digital destination"
}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n    \"locale\": \"en\",\n    \"content\": \"Design brilliant journeys to any digital destination\"\n}");
Request request = new Request.Builder()
  .url("{{apiPath}}/v1/environments/{{envID}}/voicePhrases/{{voicePhraseID}}/contents")
  .method("POST", body)
  .addHeader("Content-Type", "application/json")
  .addHeader("Authorization", "Bearer {{accessToken}}")
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{apiPath}}/v1/environments/{{envID}}/voicePhrases/{{voicePhraseID}}/contents",
  "method": "POST",
  "timeout": 0,
  "headers": {
    "Content-Type": "application/json",
    "Authorization": "Bearer {{accessToken}}"
  },
  "data": JSON.stringify({
    "locale": "en",
    "content": "Design brilliant journeys to any digital destination"
  }),
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'POST',
  'url': '{{apiPath}}/v1/environments/{{envID}}/voicePhrases/{{voicePhraseID}}/contents',
  'headers': {
    'Content-Type': 'application/json',
    'Authorization': 'Bearer {{accessToken}}'
  },
  body: JSON.stringify({
    "locale": "en",
    "content": "Design brilliant journeys to any digital destination"
  })

};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests
import json

url = "{{apiPath}}/v1/environments/{{envID}}/voicePhrases/{{voicePhraseID}}/contents"

payload = json.dumps({
  "locale": "en",
  "content": "Design brilliant journeys to any digital destination"
})
headers = {
  'Content-Type': 'application/json',
  'Authorization': 'Bearer {{accessToken}}'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/v1/environments/{{envID}}/voicePhrases/{{voicePhraseID}}/contents');
$request->setMethod(HTTP_Request2::METHOD_POST);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Content-Type' => 'application/json',
  'Authorization' => 'Bearer {{accessToken}}'
));
$request->setBody('{\n    "locale": "en",\n    "content": "Design brilliant journeys to any digital destination"\n}');
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "json"
require "net/http"

url = URI("{{apiPath}}/v1/environments/{{envID}}/voicePhrases/{{voicePhraseID}}/contents")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Post.new(url)
request["Content-Type"] = "application/json"
request["Authorization"] = "Bearer {{accessToken}}"
request.body = JSON.dump({
  "locale": "en",
  "content": "Design brilliant journeys to any digital destination"
})

response = http.request(request)
puts response.read_body
```

```swift
let parameters = "{\n    \"locale\": \"en\",\n    \"content\": \"Design brilliant journeys to any digital destination\"\n}"
let postData = parameters.data(using: .utf8)

var request = URLRequest(url: URL(string: "{{apiPath}}/v1/environments/{{envID}}/voicePhrases/{{voicePhraseID}}/contents")!,timeoutInterval: Double.infinity)
request.addValue("application/json", forHTTPHeaderField: "Content-Type")
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")

request.httpMethod = "POST"
request.httpBody = postData

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

201 Created

```json
{
    "_links": {
        "self": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/voicePhrases/cf872c92-0112-44d3-b440-5453a76f9138/contents/9e7e1ff6-dfb2-4633-9d82-36c0e741e078"
        },
        "environment": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
        },
        "voicePhrase": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/voicePhrases/cf872c92-0112-44d3-b440-5453a76f9138"
        }
    },
    "id": "9e7e1ff6-dfb2-4633-9d82-36c0e741e078",
    "environment": {
        "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
    },
    "voicePhrase": {
        "id": "cf872c92-0112-44d3-b440-5453a76f9138"
    },
    "locale": "en",
    "content": "Design brilliant journeys to any digital destination",
    "createdAt": "2022-08-24T17:43:15.894Z",
    "updatedAt": "2022-08-24T17:43:15.894Z"
}
```
